using System;

using FilterAPI.Networking;

using FilterManager.ManagerNetworking;

namespace FilterManager.ManagerHandlers
{
    internal class Manager2Handle
    {
        [ManagerPacketHandler(2, 7)]
        public static void HandleSetXor(ManagerClient ClientSocket, Packet ServerPacket)
        {
            ClientSocket.SCrypto = new FiestaCrypto(Program.Auth, ServerPacket.PacketReader.ReadInt16(), false);
            ClientSocket.SendCrypto();
        }
    }
}
